# Generated from diru-0.1.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name diru

Name: rubygem-%{gem_name}
Version: 0.1.4
Release: 1%{?dist}
Summary: Diru is a Change Directory (cd) utility
License: Ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
BuildArch: noarch

%description
Diru is a Change Directory (cd) utility for
augmenting Unix Shell functionality. Diru makes it easy and efficient
to jump around in Project's directories. Diru uses client/server
architecture, which enables sharing of directory info and state
between terminal sessions.
Each Server serves one Project, which is a tree of related directories
where user wants to jump around and which has a logical root. There
can be multiple Servers, if user needs to access multiple Projects
concurrently.
Client queries directory info from Server and directory change is
pushed to Shell in order to change the current directory within the
Shell.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/diru
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.rdoc
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/test

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.4-1
- Initial package
